#include "Joypad.h"

void PollJoypad(int number, Joypad *joypad)
{
	static bool bStatusPreviousFrame;

	int status = _iocs_joyget(number);

	joypad->up = (status & JOYMASK_UP) ? false : true;
	joypad->down = (status & JOYMASK_DOWN) ? false : true;
	joypad->left = (status & JOYMASK_LEFT) ? false : true;
	joypad->right = (status & JOYMASK_RIGHT) ? false : true;
	joypad->a = (status & JOYMASK_BOTTON1) ? false : true;
	joypad->b = (status & JOYMASK_BOTTON2) ? false : true;

	if (joypad->b == true)
	{
		if (bStatusPreviousFrame == true)
			joypad->b = false;
		else
			bStatusPreviousFrame = true;
	}
	else
		bStatusPreviousFrame = false;


}
