#include "ResourceManager.h"

int ResourceManager(short task)
{
    int i;

    if (task == RESOURCE_MANAGER_RESET)
    {
        for (i = 0; i < RESOURCE_MANAGER_PCG_COUNT; i++)
            resources.pcg[i] = RESOURCE_MANAGER_EMPTY_SLOT;

        for (i = 0; i < RESOURCE_MANAGER_SR_COUNT; i++)
            resources.spriteRegister[i] = RESOURCE_MANAGER_EMPTY_SLOT;

        return(0);
    }

    if (task == RESOURCE_MANAGER_ALLOCATE_PCG)
    {
        for (i = 0; i < RESOURCE_MANAGER_PCG_COUNT; i++)
            if (resources.pcg[i] == RESOURCE_MANAGER_EMPTY_SLOT)
			{
				resources.pcg[i] = RESOURCE_MANAGER_OCCUPIED_SLOT;
                return i;
			}
    }

    if (task == RESOURCE_MANAGER_ALLOCATE_REGST)
    {
        for (i = 0; i < RESOURCE_MANAGER_SR_COUNT; i++)
            if (resources.spriteRegister[i] == RESOURCE_MANAGER_EMPTY_SLOT)
			{
				resources.spriteRegister[i] = RESOURCE_MANAGER_OCCUPIED_SLOT;
                return i;
			}
    }

    #ifdef DEBUG
    printf("Resource Manager Error!\n");
    WaitKey();
    #endif

    return(-1);
}
