#ifndef __ANIMATION_H__
#define __ANIMATION_H__

#define ANIMATION_TYPE_LOOP                 0
#define ANIMATION_TYPE_ONCE                 1
#define ANIMATION_UPDATE_INTERVAL           7
#define MAX_ANIMATION_FRAMES                10
#define MAX_ANIMATION_POOL_SIZE             50

#include "misc.h"
#include "Sprite.h"
#include "GameObject.h"

typedef struct Animation Animation;

struct Animation
{
    byte type;
    byte numberOfFrames;
    GameSprite *frame[MAX_ANIMATION_FRAMES];
} animationPool[MAX_ANIMATION_POOL_SIZE];

void UpdateObjectAnimation(SpawnedGameObject *gameObj);

#endif
