#ifndef __CAMERA_H__
#define __CAMERA_H__

#define CAMERA_TYPE_FIXED                   0
#define CAMERA_TYPE_VERTICAL_TRACE          1
#define CAMERA_TYPE_HORIZONTAL_TRACE        2
#define CAMERA_TYPE_ALL_TRACE               3

#define SPAWN_WINDOW_VERTICAL               9
#define SPAWN_WINDOW_HORIZONTAL             9
#define UNSPAWN_WINDOW_VERTICAL             160
#define UNSPAWN_WINDOW_HORIZONTAL           160

#include "misc.h"

struct GameCamera
{
    bool moved;
    byte type;
	short x;
	short y;
	short dx;
	short dy;
} camera;

inline short TranslateVertical(short x);
inline short TranslateHorizontal(short y);
void UpdateCamera(bool reset);


#endif

