#ifndef __LEVEL_H__
#define __LEVEL_H__

#define LEVEL_OBJECT_TYPE_OFFSET			0xC0

//#define viewport							((volatile struct VectorINT16 *)0xE80018) // GVRAM layer 0 position

#include "misc.h"
#include "GameObject.h"

typedef struct Box Box;
//typedef struct LevelFileData LevelFileData;
typedef struct TwoDimensionalMap TwoDimensionalMap;
//typedef struct Level Level;

struct Box
{
    short x;
    short y;
    short width;
    short height;
} __attribute__ ((packed));
/*
struct LevelFileData
{
    short offsetLevelGameObjects;
    short offsetLevelGeometry;
} __attribute__ ((packed));
*/
struct TwoDimensionalMap
{
	short width;
	short height;
	byte widthShiftFactor;
	byte scrollShiftFactor;
	byte *data;
} level, background;
/*
struct Level
{
    //byte geometry[level.height][level.width];
    //byte objects[level.height][level.width];
} level;
*/
//VectorINT16 renderPoint;

int IsOnSolidSurface(SpawnedGameObject *obj);
void LoadLevel(short levelNumber);
void PerformObjectLevelCollision();
void CollideObjectLevelSolid(SpawnedGameObject *obj, short lx, short ly);

//byte inline FetchMapData(TwoDimensionalMap *map, byte x, byte y);
byte inline ObjectType(byte type);
byte inline GeometryType(byte type);
#endif
