#ifndef __RESOURCEMANAGER_H__
#define __RESOURCEMANAGER_H__

#include "misc.h"

#define RESOURCE_MANAGER_RESET          0
#define RESOURCE_MANAGER_ALLOCATE_PCG   1
#define RESOURCE_MANAGER_ALLOCATE_REGST 2

#define RESOURCE_MANAGER_PCG_COUNT      128
#define RESOURCE_MANAGER_SR_COUNT       128

#define RESOURCE_MANAGER_EMPTY_SLOT     -1
#define RESOURCE_MANAGER_OCCUPIED_SLOT  0

typedef struct Resources Resources;

struct Resources
{
    short pcg[RESOURCE_MANAGER_PCG_COUNT];
    short spriteRegister[RESOURCE_MANAGER_SR_COUNT];
} resources;

int ResourceManager(short task);

#endif
